hdu 5054

Alice and Bob

Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)
Total Submission(s): 747    Accepted Submission(s): 549

Problem Description

Bob
and Alice got separated in the Square, they agreed that if they get
separated, they‘ll meet back at the coordinate point (x, y).
Unfortunately they forgot to define the origin of coordinates and the
coordinate axis direction. Now, Bob in the lower left corner of the
Square, Alice in the upper right corner of the the Square. Bob regards
the lower left corner as the origin of coordinates, rightward for
positive direction of axis X, upward for positive direction of axis Y.
Alice regards the upper right corner as the origin of coordinates,
leftward for positive direction of axis X, downward for positive
direction of axis Y. Assuming that Square is a rectangular, length and
width size is N * M. As shown in the figure:

Bob
and Alice with their own definition of the coordinate system
respectively, went to the coordinate point (x, y). Can they meet with
each other ?
Note: Bob and Alice before reaching its destination,
can not see each other because of some factors (such as buildings, time
poor).

Input

There
are multiple test cases. Please process till EOF. Each test case only
contains four integers : N, M and x, y. The Square size is N * M, and
meet in coordinate point (x, y). ( 0 < x < N <= 1000 , 0 < y
< M <= 1000 ).

Output

If they can meet with each other, please output "YES". Otherwise, please output "NO".

Sample Input

10 10 5 5
10 10 6 6

Sample Output

YES
NO

题意:Bob(0,0) 和 ALice(n,m) 要在(x,y)点汇合。问是否可能?

#include <iostream>
#include <stdio.h>
#include <string.h>
#include <algorithm>
#include <map>
using namespace std;
int main()
{
    int a,b,c,d;
    while(scanf("%d%d%d%d",&a,&b,&c,&d)!=EOF){
        if(a-c==c&&b-d==d) printf("YES\n"); ///Bob要从 0,0 走到 (x,y) Alice 要从 (n,m)走到(n-x,m-y)
                                            /// x = n - x,y = m-y;
        else printf("NO\n");
    }
    return 0;
}
时间: 2024-08-08 10:06:08

hdu 5054的相关文章

HDU 5054 Alice and Bob(数学)

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=5054 Problem Description Bob and Alice got separated in the Square, they agreed that if they get separated, they'll meet back at the coordinate point (x, y). Unfortunately they forgot to define the origi

HDU 5054 Alice and Bob

#include <cstdio> int main(){ int n,m,x,y; while(~scanf("%d%d%d%d",&n,&m,&x,&y)){ if(2*x==n&&2*y==m)puts("YES");else puts("NO"); }return 0; }

[tarjan] hdu 4635 Strongly connected

题目链接: http://acm.hdu.edu.cn/showproblem.php?pid=4635 Strongly connected Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Submission(s): 1568    Accepted Submission(s): 654 Problem Description Give a simple dir

hdu 5055(坑)

题目链接:http://acm.hdu.edu.cn/showproblem.php? pid=5055 Bob and math problem Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Submission(s): 695    Accepted Submission(s): 263 Problem Description Recently, Bob ha

HDU 6203 ping ping ping [LCA,贪心,DFS序,BIT(树状数组)]

题目链接:[http://acm.hdu.edu.cn/showproblem.php?pid=6203] 题意 :给出一棵树,如果(a,b)路径上有坏点,那么(a,b)之间不联通,给出一些不联通的点对,然后判断最少有多少个坏点. 题解 :求每个点对的LCA,然后根据LCA的深度排序.从LCA最深的点对开始,如果a或者b点已经有点被标记了,那么continue,否者标记(a,b)LCA的子树每个顶点加1. #include<Bits/stdc++.h> using namespace std;

HDU 5542 The Battle of Chibi dp+树状数组

题目:http://acm.hdu.edu.cn/showproblem.php?pid=5542 题意:给你n个数,求其中上升子序列长度为m的个数 可以考虑用dp[i][j]表示以a[i]结尾的长度为j的上升子序列有多少 裸的dp是o(n2m) 所以需要优化 我们可以发现dp的第3维是找比它小的数,那么就可以用树状数组来找 这样就可以降低复杂度 #include<iostream> #include<cstdio> #include<cstring> #include

hdu 1207 汉诺塔II (DP+递推)

汉诺塔II Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 4529    Accepted Submission(s): 2231 Problem Description 经典的汉诺塔问题经常作为一个递归的经典例题存在.可能有人并不知道汉诺塔问题的典故.汉诺塔来源于印度传说的一个故事,上帝创造世界时作了三根金刚石柱子,在一根柱子上从下往

[hdu 2102]bfs+注意INF

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2102 感觉这个题非常水,结果一直WA,最后发现居然是0x3f3f3f3f不够大导致的--把INF改成INF+INF就过了. #include<bits/stdc++.h> using namespace std; bool vis[2][15][15]; char s[2][15][15]; const int INF=0x3f3f3f3f; const int fx[]={0,0,1,-1};

HDU 3555 Bomb (数位DP)

数位dp,主要用来解决统计满足某类特殊关系或有某些特点的区间内的数的个数,它是按位来进行计数统计的,可以保存子状态,速度较快.数位dp做多了后,套路基本上都差不多,关键把要保存的状态给抽象出来,保存下来. 简介: 顾名思义,所谓的数位DP就是按照数字的个,十,百,千--位数进行的DP.数位DP的题目有着非常明显的性质: 询问[l,r]的区间内,有多少的数字满足某个性质 做法根据前缀和的思想,求出[0,l-1]和[0,r]中满足性质的数的个数,然后相减即可. 算法核心: 关于数位DP,貌似写法还是